.logo {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgb(0, 0, 0);
  background: linear-gradient(to top left, #434343, #000000);
}

.main-container{
  display: flex;
  justify-content: center;
  align-items: center;
  height:95%;
  width:100%;
  
}

.navigation-right{
    display: flex;
    justify-content: center;
    align-items: center;
    width:13%;
    height:100%;
}

.navigation-left{
    
    width:87%;
    height:100%;
    overflow: auto;
}

.content{
  display: flex;
  justify-content: center;
  align-items: center;
  height: 75%;
  background:
  -moz-linear-gradient(
    #ffffff,
    #e3e3e3
  );
  background:
  -webkit-linear-gradient(
    #ffffff,
    #e3e3e3
  );
  background:
  -o-linear-gradient(
    #ffffff,
    #e3e3e3
  );
  background:
  linear-gradient(
    #ffffff,
    #e3e3e3
  );
  
}

.contentAdmin{
  width:auto;
  height: auto;

}

.wrapper{
  justify-content: center;
  align-items: center;
  max-width: 430px;
  width: 100%;
  background: #fff;
  padding: 34px;
  
  box-shadow: 0 3px 5px rgba(0.5,0.5,0.5,0.5);
  border: 0px solid black;
}
.wrapper h2{
  position: relative;
  font-size: 22px;
  font-weight: 600;
  color: #333;
}
.wrapper h2::before{
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  height: 3px;
  width: 28px;
 
  background: #4070f4;
}
.wrapper form{
  margin-top: 30px;
}
.wrapper form .input-box{
  height: 52px;
  margin: 18px 0;
}
form .input-box input{
  height: 100%;
  width: 100%;
  outline: none;
  padding: 0 15px;
  font-size: 17px;
  font-weight: 400;
  color: #333;
  border: 1.5px solid #C7BEBE;
  border-bottom-width: 2.5px;
  border-radius: 6px;
  transition: all 0.3s ease;
}
.input-box input:focus,
.input-box input:valid{
  border-color: #4070f4;
}
form .policy{
  display: flex;
  align-items: center;
}
form h3{
  color: #707070;
  font-size: 14px;
  font-weight: 500;
  margin-left: 10px;
}
.input-box.button input{
  color: #fff;
  letter-spacing: 1px;
  border: none;
  background: #4070f4;
  cursor: pointer;
}
.input-box.button input:hover{
  background: #0e4bf1;
}
form .text h3{
 color: #333;
 width: 100%;
 text-align: center;
}
form .text h3 a{
  color: #4070f4;
  text-decoration: none;
}
form .text h3 a:hover{
  text-decoration: underline;
}

.hallo{
  margin-top: 30px;
}

.text-danger {
  font-size: 1.0rem;
  font-weight: bold;
  color: red;
}

.text-success {
  font-size: 1.0rem;
  font-weight: bold;
  color: green;
}

.navigation-menu{
 /* background-color: #000;*/
 position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin: auto;
 height: 5%;
 background:
    -moz-repeating-linear-gradient(
    top, #565656, #131313 2px, #565656 1px
  );
  background:
    -o-repeating-linear-gradient(
    top, #565656, #131313 2px, #565656 1px
  );
  background:
    -webkit-repeating-linear-gradient(
    top, #565656, #131313 2px, #565656 1px
  );
  background:
    repeating-linear-gradient(
    top, #565656, #131313 2px, #565656 1px
  );
 color: white;
 
}

.navigation-menuAdmin{
  /* background-color: #000;*/
  position: relative;
   display: flex;
   justify-content: center;
   align-items: center;
   text-align: center;
   margin: auto;
  height: 5%;
  background:
     -moz-repeating-linear-gradient(
     top, #565656, #131313 2px, #565656 1px
   );
   background:
     -o-repeating-linear-gradient(
     top, #565656, #131313 2px, #565656 1px
   );
   background:
     -webkit-repeating-linear-gradient(
     top, #565656, #131313 2px, #565656 1px
   );
   background:
     repeating-linear-gradient(
     top, #565656, #131313 2px, #565656 1px
   );
  color: gold;
  
 }

.gradient-bg {
  background: linear-gradient(to top left, #434343, #000000);
}

.wrapperAdmin{
  /*justify-content: center;
  align-items: center;
  max-width: 30%;
  height: 68%;
  width: 100%;
  background: #fff;
  padding: 34px;
  
  box-shadow: 0 3px 5px rgba(0.5,0.5,0.5,0.5);
  border: 0px solid black;*/
  /*border: 0.5px solid black;*/
  padding: 10px;
  width: 30%;
  height: 75%;
  margin: 0 auto;
  margin-top: 40px;
  justify-content: center;
  align-items: center;
  text-align: center;
  border-radius: 1px;
  background: #f8f8f8;
  box-shadow: 0 3px 5px rgba(0.5,0.5,0.5,0.5);
}
.wrapperAdmin h2{
  position: relative;
  font-size: 22px;
  font-weight: 600;
  color: #333;
}
.wrapperAdmin h2::before{
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  height: 3px;
  width: 28px;
 
  background: #4070f4;
}

#remove_btn{
  background-color: rgb(253, 136, 136);
  border: none;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  transition-duration: 0.4s;
  cursor: pointer;
  border-radius: 1px;
  /*box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);*/
  }

  #remove_btn:hover {
    background-color: #fd1111;
    color: white;
    }
    
#report_btn{
  background-color: rgb(136, 206, 253);
  border: none;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  /*display: inline-block;*/
  font-size: 16px;
  transition-duration: 0.4s;
  cursor: pointer;
  border-radius: 1px;
}

#report_btn:hover {
  background-color: rgb(17, 0, 255);
  color: white;
  }

.logout-button {
      background-color: rgb(150, 192, 255); 
      color: white; 
      border: none;
      height: 45px;
      padding: 10px 15px;
      text-align: center;
      text-decoration: none;
      display: inline-block;
      font-size: 8px;
      cursor: pointer;
  }
  
  .logout-button:hover {
      background-color: royalblue;
  }
  
 .container {
  width: 100%;
  height: 100%;
  border: none;
  padding: 10px;
  margin: center;
  box-sizing: border-box;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  overflow-y: auto;
}

.menu_bar {
  /*float: left;*/
  width: 100%;
  height: 100%;
  border: none;
  /*margin-right:1px;*/
  padding:10px;
  box-sizing: border-box;
  /*overflow-y: auto;*/
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.main_table {
  width: 85%; 
  border-collapse: collapse;
  border-radius: none;
  margin: 0 auto;
  
}

.main_table_diagramm {
  width: 100%; 
  border-collapse: collapse;
  border-radius: 10px;
  margin: 0 auto;
}

.main_table td.side_by_side  {
  border: none;
  width: 48%;
}

.main_table th {
  border: none;
  vertical-align: top;
}

.side_by_side {
  text-align: center;
}

.diagramm {
  text-align: center;
  border: none;
  width: 100%;
}

.table_info {
    float: left;
    width: 30%;
    height: 28%;
    border: none;
    padding: 10px;
    box-sizing: border-box;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.user-info-container {
  background-color: #f9f9f9;
  border: 1px solid #e1e1e1;
  border-radius: 5px;
  padding: 5px;
  margin-bottom: 15px;
}

.user-name {
  font-size: 18px;
  font-weight: bold;
  color: #333;
  margin-bottom: 10px;
}

.user-info {
  font-size: 14px;
  color: #666;
  margin-bottom: 10px;
}

.button-container {
  text-align: right;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  -webkit-animation-name: fadeIn; /* Fade in the background */
  -webkit-animation-duration: 0.4s;
  animation-name: fadeIn;
  animation-duration: 0.4s
}

/* Modal Header */
.modal-header {
  padding: 2px 16px;
  background-color: royalblue;
  color: white;
}

/* Modal Body */
.modal-body {padding: 2px 16px;}

/* Modal Footer */
.modal-footer {
  /* padding: 2px 5px;
  background-color: #5cb85c;
  color: white; */
}



/* Modal Content */
.modal-content {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  margin-top: 50px;
  padding: 0;
  border: 1px solid #888;
  width: 100px;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
  animation-name: animatetop;
  animation-duration: 0.4s
}


/* The Close Button */
.close {
  color: white;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}
/* Add Animation */
@-webkit-keyframes slideIn {
  from {bottom: -300px; opacity: 0} 
  to {bottom: 0; opacity: 1}
}

@keyframes slideIn {
  from {bottom: -300px; opacity: 0}
  to {bottom: 0; opacity: 1}
}

@-webkit-keyframes fadeIn {
  from {opacity: 0} 
  to {opacity: 1}
}

@keyframes fadeIn {
  from {opacity: 0} 
  to {opacity: 1}
}


.info-button {
  background-color: #3498db;
  color: white;
  padding: auto;
  border: none;
  height: 50px;
  width: 50px;
  margin-left: 95%;
  border-radius: 50px;
  text-align: center;
  display: inline-block;
  cursor: pointer;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
}

.info-button:hover {
  background-color: royalblue;
}

.glyphicon.glyphicon-question-sign{
  margin:auto; /* Add space between icon and text */
  font-size: 35px;
}

.glyphicon.glyphicon-arrow-down{
  margin:auto; /* Add space between icon and text */
  font-size: 35px;
}

.red-round {
    width: 10px;
    height: 10px;
    background-color: red;
    border-radius: 50%;
}

.user-name, .red-round, .edit-class {
    position: relative;
    display: inline-block;
}

.green-round {
    position: relative;
    width: 10px;
    height: 10px;
    background-color: #52CC7A;
    border-radius: 50%; 
}

.user-name, .green-round {
    display: inline-block;
}

#reset_btn{
    background-color: rgb(136, 253, 198);
    border: none;
    color: white;
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    transition-duration: 0.4s;
    cursor: pointer;
    border-radius: 1px;
      /*box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);*/
}
    
#reset_btn:hover {
    background-color: #00940c;
    color: white;
}

.input-edit-style {
    padding: 13px;
    box-shadow: 2px 2px 5px grey;
    font-size: 17px;
    font-weight: 300;
    width: 350px;
    height: 50px;
    border: none;
    border-radius: 5px;
    outline: none;
  }


.wrap-all-edit-info { 
    display: flex;  
    flex-direction: column; 
    justify-content: center; 
    align-items: center;  
    width: 100%; 
    margin-top: 5%; 
    /*border: 1px solid #e1e1e1; */
} 
.wrap-edit { 
    display: flex;
    justify-content: center; 
    align-items: center;
    width: 500px; 
    border: 1.5px solid #C7BEBE; 
    border-bottom-width: 2.5px; 
    border-radius: 6px; 
    background-color: #f9f9f9; 
    border: 1px solid #e1e1e1; 
    border-radius: 5px; 
    margin-top: 15px; 
} 
.edit-class2 { 
    display: flex;  
    flex-direction: column; 
    justify-content: center; 
    align-items: center;
    margin: 5%; 
    width: 90%; 
} 
.user-info-container2 { 
    background-color: #f9f9f9; 
    border: 1px solid #e1e1e1; 
    border-radius: 5px; 
    padding: 5px; 
    margin-bottom: 15px; 
    width: 700px; 
} 

.edit-button {
      background-color: #98FB98; 
      color: white; 
      border: none;
      height: 45px;
      width: 120px;
      padding: 10px 15px;
      text-align: center;
      text-decoration: none;
      display: inline-block;
      font-size: 8px;
      cursor: pointer;
  }
  
.edit-button:hover {
     background-color: #00FF00;
}

.excelUpload {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center; 
    font-size: 20px;
    bottom:20px;
    left:30px;
}

.formUpload {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center; 
}

.move-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center; 
    float:right;
    margin-left: 1%;
}

.m-btn {
    background-color: #e3e3fe; 
    color: white; 
    border: none;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
}

.m-btn:hover {
     background-color: #4169E1;
}